<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package EXPO
 * @since EXPO 1.0
 */

$expo_args = get_query_var( 'expo_logo_args' );

// Site logo
$expo_logo_type   = isset( $expo_args['type'] ) ? $expo_args['type'] : '';
$expo_logo_image  = expo_get_logo_image( $expo_logo_type );
$expo_logo_text   = expo_is_on( expo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$expo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $expo_logo_image['logo'] ) || ! empty( $expo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $expo_logo_image['logo'] ) ) {
			if ( empty( $expo_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($expo_logo_image['logo']) && (int) $expo_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$expo_attr = expo_getimagesize( $expo_logo_image['logo'] );
				echo '<img src="' . esc_url( $expo_logo_image['logo'] ) . '"'
						. ( ! empty( $expo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $expo_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $expo_logo_text ) . '"'
						. ( ! empty( $expo_attr[3] ) ? ' ' . wp_kses_data( $expo_attr[3] ) : '' )
						. '>';
			}
		} else {
			expo_show_layout( expo_prepare_macros( $expo_logo_text ), '<span class="logo_text">', '</span>' );
			expo_show_layout( expo_prepare_macros( $expo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
